<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_9003c4206" . "769f8bf549" . "be389fc096" . "ddc" => base64_decode("IE9SREVSIEJZIGRhdGVfdGltZSBERVN" . "D"), "aggregatio" . "n" => base64_decode("YWdncmV" . "nYXRpb2" . "4="), "_d4fa3b332be727dab2fbb" . "0d586eb8012" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ" . "3JlZ2F0aW9uIEFORCA="), "_f934df31ac124758c1d70400" . "9544ddef" => base64_decode("U0VMRUNUIGRhdGVfdGltZSwgb2JqZWN0X2lkLCB1c2VyX2lkIEZST00gc3RhdF91cGRhdGVzIFdIRVJF" . "IGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCA="));
use Claromentis\Core\DAL;
abstract class StatReportLastAddedList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 10;
        $this->rows_per_page = 20;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_f934df31ac12" . "4758c1d704009" . "544ddef"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_9003c4206769f8bf" . "549be389fc096ddc"]);
        $query->Bind($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["aggrega" . "tion"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d4fa3b332be727d" . "ab2fbb0d586eb801" . "2"] . $filter->AsPart(), $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
}